include("scripts/products/regularProduct.lua")
--
-- 
class 'candyOvenProduct' (regularProduct)


function candyOvenProduct:__init(baseName) super(baseName)
end

--
-- called when the product is completely received by an iProductReceiver
function candyOvenProduct:onReceiveComplete()
	
	local product = getAppliance("rest2_candy_oven"):getProduct(self:getBase())
	local prodShortage = product:getMaxStock() - product:getStock()
	product:incStock(prodShortage)
	regularProduct.onReceiveComplete(self)
	self:setDestroyed(true)

end
